Bug 575795 - should make it clearer how to set up an IPP queue manually
Summary: should make it clearer how to set up an IPP queue manually
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-22 13:03 UTC by Till Maas
Modified: 2010-11-22 22:13 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.2.5-6.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 22:13:39 UTC


Attachments (Terms of Use)
screenshot (48.88 KB, image/png)
2010-09-24 15:56 UTC, Jiri Popelka
no flags Details

Description Till Maas 2010-03-22 13:03:18 UTC
Description of problem:
I would like to add an IPP printer. But even if I specify a host, I cannot click the verify or forward button.

Version-Release number of selected component (if applicable):
system-config-printer-1.1.18-2.fc12

How reproducible:
always

Steps to Reproduce:
1. open s-c-p
2. select add printer
3. select new network printer, IPP
  
Actual results:
Cannot add such a printer.

Expected results:
I can add such a printer.

Additional info:
Network printer autodetect does also not work and nmap shows that the remote UDP port is reachable.

Comment 1 Tim Waugh 2010-03-22 16:43:48 UTC
You need more than a hostname to identify an IPP queue -- you need the IPP path.

Did you modify the 'Queue' field at all?  Was anything shown in the URI field?

(In reply to comment #0)
> Network printer autodetect does also not work

Perhaps because of bug #538675, i.e. that the default firewall rules block any responses to our broadcast SNMP queries.  Did you try disabling the firewall to see if that made any difference to network autodetection?

> and nmap shows that the remote UDP port is reachable.

Not sure which port you mean..?  IPP is a stream protocol, implemented on top of HTTP.  It isn't a datagram protocol.  Perhaps you meant the SNMP port?

Comment 2 Till Maas 2010-03-22 20:49:11 UTC
(In reply to comment #1)
> You need more than a hostname to identify an IPP queue -- you need the IPP
> path.

There was a default value in the queue field, therefore I did not see the need to modify it.
 
> Did you modify the 'Queue' field at all?  Was anything shown in the URI field?

No, but when I modify it, then the buttons become clickable. Is the default value expected to never work? Then maybe it should be changed, e.g. to ipp, which seems to be the cups default.

> (In reply to comment #0)
> > Network printer autodetect does also not work
> 
> Perhaps because of bug #538675, i.e. that the default firewall rules block any
> responses to our broadcast SNMP queries.  Did you try disabling the firewall to
> see if that made any difference to network autodetection?

Disabling the firewall for the interface to the printer, works.

> > and nmap shows that the remote UDP port is reachable.
> 
> Not sure which port you mean..?  IPP is a stream protocol, implemented on top
> of HTTP.  It isn't a datagram protocol.  Perhaps you meant the SNMP port?    

I meant the cups udp port (631), but the tcp port was open, too.

Comment 3 Tim Waugh 2010-03-24 11:04:18 UTC
(In reply to comment #2)
> No, but when I modify it, then the buttons become clickable. Is the default
> value expected to never work? Then maybe it should be changed, e.g. to ipp,
> which seems to be the cups default.

There is no default CUPS queue name.

All that's in that box to start with is the default CUPS *path*, without a queue name.  You have to fill that in.

Comment 4 Till Maas 2010-03-24 17:32:55 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > No, but when I modify it, then the buttons become clickable. Is the default
> > value expected to never work? Then maybe it should be changed, e.g. to ipp,
> > which seems to be the cups default.
> 
> There is no default CUPS queue name.
> 
> All that's in that box to start with is the default CUPS *path*, without a
> queue name.  You have to fill that in.    

I understand now, but IMHO the UI should somehow make this obvious IMHO, e.g. there could be a warning that only a path is entered, but a queue is missing.

Comment 5 Tim Waugh 2010-03-24 18:24:39 UTC
Agreed.  We could use the existing URI label to do this with text along the lines of:

Host:  [             ]
Queue: [             ]
URI:   example: ipp://printer.mydomain/printers/room5

Comment 6 Jiri Popelka 2010-09-24 15:56:38 UTC
Created attachment 449450 [details]
screenshot

When we use already existing URI label, the example disappears as the user types something in those Host/Queue text entries.
What about adding new label (there's space for it) with some more examples.
CUPS web interface does that the same way.

Comment 7 Tim Waugh 2010-09-24 16:21:49 UTC
Yes, that's probably best.  "For example:" instead of "examples:", maybe?

Comment 9 Fedora Update System 2010-10-13 14:46:40 UTC
system-config-printer-1.2.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-1.fc14

Comment 10 Fedora Update System 2010-10-13 14:54:27 UTC
system-config-printer-1.2.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-1.fc13

Comment 11 Fedora Update System 2010-10-14 06:23:45 UTC
system-config-printer-1.2.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-1.fc13

Comment 12 Bug Zapper 2010-11-03 18:55:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Fedora Update System 2010-11-16 23:22:36 UTC
system-config-printer-1.2.5-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-22 22:12:16 UTC
system-config-printer-1.2.5-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.